<?php
/**
 * @file
 * oa_worktracker.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function oa_worktracker_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "page_manager" && $api == "pages_default") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "panelizer" && $api == "panelizer") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function oa_worktracker_views_api() {
  return array("api" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function oa_worktracker_node_info() {
  $items = array(
    'oa_worktracker_project' => array(
      'name' => t('Project'),
      'base' => 'node_content',
      'description' => t('A collection of related Tasks.'),
      'has_title' => '1',
      'title_label' => t('Name'),
      'help' => '',
    ),
    'oa_worktracker_task' => array(
      'name' => t('Task'),
      'base' => 'node_content',
      'description' => t('A unit of work to be performed in a project.'),
      'has_title' => '1',
      'title_label' => t('Name'),
      'help' => '',
    ),
  );
  return $items;
}
